質問は基本的に1スレッドにつき1つの内容でお願いします。

お問い合わせの際は下記の情報を明記をお願いいたします。

▼ソフトウェアに関するご質問の場合

・【問題が発生したソフトウェア名とバージョン】(例:Cubism Editor 3.1.02、Euclid Editor 1.2.0 など)
・【ご利用のPC環境】例:Windows10、macOS HighSierra など
・【機種名】:MacBookPro 2017 など
・【グラフィックボード】例:GeForce GTX 950M など
・【メモリ】例:8GB
・【原画(イラスト)を制作したソフトウェア】例:Photoshop , CLIP STUDIO , SAI など
・【問い合わせ内容がわかるスクリーンショットまたは動画】例:パーツの表示状態など、お問い合わせ内容がわかる画像をご用意ください

---------------------------

▼SDKに関するご質問の場合

・現象の再現を行い検証させていただきますので、再現する最小のプロジェクトのご提供か、再現するまでの手順
・使用したSDKのバージョン

A problem with model’s eyelids that might be related to the SDK for Android(Java) 2.0.06.

I had a problem with model’s eyelids.
Please refer to screenshots.



You can see the eyelids are transparent.
I use the SDK for Android(Java) 2.0.06.

But there is no problem with these models in Live2D Viewer or OpenGL AndroidNDK 2.1.



So I think that the problem may be caused by the SDK for Android(Java) 2.0.06.
Is there any way to solve this problem? Please let me know, Thanks so much. :)

コメント

  • edited 01/30
    原因は クリッピング です SDK2.0ではクリッピングは未対応 
    なので、瞼使用方式で作成すると良いです。

    The cause is clipping. Clipping is not supported in SDK 2.0
    So it is good to create with eyelid use method.
  • Thanks for your reply.

    The current situation is that models can't be modified.
    Although OpenGL AndroidNDK 2.1 can be used to solve this problem, but the difference between C++ and Java is too big. :'(

    I found that most of the SDKs had been upgraded to 2.1.
    But the latest version of Android(Java) SDK was released in 2016.
    Will the Android(Java) SDK 2.0 be upgraded in the future? :)
  • Hi,

    I'm afraid to write this but now we have no plan to upgrade Cubism 2 SDKs unless fatal error is found. How would you like to use Unity SDK because it can export the datas to Android?

    Dai
  • I will try to use Unity SDK, thank you. :)
Sign In or Register to comment.